body {
	min-width: 780px;
	height: 100%;
	margin: 0;
	padding: 0;
	background: none repeat scroll 0 0 #f0f0f0;
	font-family: DejaVuSans, "DejaVu Sans", arial, sans-serif;
	font-size: 16px;
}

a {
	text-decoration: none;
	color: #0645ad;

	:visited {
		color: #0b0080;
	}
}

.hljs {
  padding: unset !important;
  background: unset !important;
}

.content {
	margin: 0 auto;
	width: 780px;
	box-sizing: border-box;
}

#head-first-base {
	border-bottom: 1px solid #eee;
	background: white;

	#head-first {
		padding: 0.1em 0.1em 0.1em 1.0em;
		height: 22px;

		h5 {
			display: inline;
			font-size: 16px;
			font-weight: bold;
		}
	}
}

#head-second-base {
	border-bottom: 1px solid rgb(208, 208, 208);
	background-image: linear-gradient(white, rgb(238, 238, 238));
	background-position: bottom left;

	#head-second {
		height: 40px;
	}
}

#body-content {
	font-size: 0.8em;
	line-height: 1.2em;
	width: 100%;
}

#content-base {
	padding: 32px 0.5em 0.5em 0.5em;

	#content {
		margin: 0 auto;
		width: 780px;
	}
}

#first-heading {
	margin-top: 0;
	padding-top: 0;
	margin-bottom: 0.1em;
	line-height: 1.2em;
	padding-bottom: 0;
	font-weight: normal;
	border-bottom: 1px solid #aaa;
}

.declaration-begin {
	display: block;
	padding: 0.5em 0;
	border-spacing: 0;
}

.description-header > td {
	padding: 0;
	font-size: 0.8em;
	line-height: 1em;

	div {
		margin-left: 2em;
	}
}

.declaration {
	td {
		border-top: 1px solid #cccccc;

		pre {
			margin: 0;
		}
	}

	td:nth-child(1) {
		padding: 0.3em 2em 0.2em 1em;
		font-size: 1em;
	}

	td:nth-child(2) {
		padding-right: 0.8em;
		font-size: 0.8em;
	}

	td:nth-child(3) {
		padding: 0;
	}
}

.declaration-separator > td {
	padding: 0;
	border-top: 1px solid #cccccc;
}

.overload {
	padding: 0.2em 0 0.2em 3em;
	text-indent: -5em;

	> span {
		display: inline-block;
		width: 5em;
		text-align: right;
		text-indent: 0em;
	}
}

.description-heading {
	font-size: 132%;
	font-weight: bold;
	padding: 1.1em 0 0.2em 0.75em;
	margin: 0 0 0.3em 0;
}

.description-begin {
	max-width: 60em;
	border-spacing: 0;
}

.description {
	td {
		border-top: 1px solid #cccccc;
	}

	td:first-child {
		font-family: DejaVuSansMono, "DejaVu Sans Mono", courier, monospace;
		line-height: 1.2em;
		padding: 0.2em 0 0.25em 0.75em;
	}

	td > a {
		font-weight: bold;
	}

	td:last-child {
		line-height: 1.1em;
		padding-left: 0.75em;
	}

	td > pre {
		margin: 0;
	}
}

.sub-heading {
	td {
		font-family: DejaVuSans, "DejaVu Sans", arial, sans-serif !important;
	}
}

.parameters {
	border-spacing: 0;

	td {
		padding: 0.5em 1em 0 0;
	}

	td:nth-child(1) {
		white-space: nowrap;
		text-align: right;
		font-weight: bold;
		font-family: DejaVuSansMono, "DejaVu Sans Mono", courier, monospace;
	}

	td:nth-child(3) {
		width: 100%;
	}
}
